### Hierarchy

- StacksApiSocketClient

## Index

### Constructors

- constructor

### Properties

- socket

### Methods

- handleSubscription
- logEvents
- subscribeAddressStxBalance
- subscribeAddressTransactions
- subscribeBlocks
- subscribeMempool
- subscribeMicroblocks
- unsubscribeAddressStxBalance
- unsubscribeAddressTransactions
- unsubscribeBlocks
- unsubscribeMempool
- unsubscribeMicroblocks
- connect

## Constructors

### constructor

- new StacksApiSocketClient(socket: StacksApiSocket ): StacksApiSocketClient

- - Defined in src/socket-io/index.ts:33

  #### Parameters

  - ##### socket: StacksApiSocket

  #### Returns StacksApiSocketClient

## Properties

### Readonly socket

socket: StacksApiSocket

- Defined in src/socket-io/index.ts:33

## Methods

### handleSubscription

- handleSubscription(topic: Topic, subscribe?: boolean): { unsubscribe: () => void }

- - Defined in src/socket-io/index.ts:53

  #### Parameters

  - ##### topic: Topic

  - ##### subscribe: boolean = false

  #### Returns { unsubscribe: () => void }

  - ##### unsubscribe: () => void

    - - (): void

      - #### Returns void

### logEvents

- logEvents(): void

- - Defined in src/socket-io/index.ts:116

  #### Returns void

### subscribeAddressStxBalance

- subscribeAddressStxBalance(address: string): { unsubscribe: () => void }

- - Defined in src/socket-io/index.ts:108

  #### Parameters

  - ##### address: string

  #### Returns { unsubscribe: () => void }

  - ##### unsubscribe: () => void

    - - (): void

      - #### Returns void

### subscribeAddressTransactions

- subscribeAddressTransactions(address: string): { unsubscribe: () => void }

- - Defined in src/socket-io/index.ts:100

  #### Parameters

  - ##### address: string

  #### Returns { unsubscribe: () => void }

  - ##### unsubscribe: () => void

    - - (): void

      - #### Returns void

### subscribeBlocks

- subscribeBlocks(): { unsubscribe: () => void }

- - Defined in src/socket-io/index.ts:76

  #### Returns { unsubscribe: () => void }

  - ##### unsubscribe: () => void

    - - (): void

      - #### Returns void

### subscribeMempool

- subscribeMempool(): { unsubscribe: () => void }

- - Defined in src/socket-io/index.ts:92

  #### Returns { unsubscribe: () => void }

  - ##### unsubscribe: () => void

    - - (): void

      - #### Returns void

### subscribeMicroblocks

- subscribeMicroblocks(): { unsubscribe: () => void }

- - Defined in src/socket-io/index.ts:84

  #### Returns { unsubscribe: () => void }

  - ##### unsubscribe: () => void

    - - (): void

      - #### Returns void

### unsubscribeAddressStxBalance

- unsubscribeAddressStxBalance(address: string): void

- - Defined in src/socket-io/index.ts:112

  #### Parameters

  - ##### address: string

  #### Returns void

### unsubscribeAddressTransactions

- unsubscribeAddressTransactions(address: string): void

- - Defined in src/socket-io/index.ts:104

  #### Parameters

  - ##### address: string

  #### Returns void

### unsubscribeBlocks

- unsubscribeBlocks(): void

- - Defined in src/socket-io/index.ts:80

  #### Returns void

### unsubscribeMempool

- unsubscribeMempool(): void

- - Defined in src/socket-io/index.ts:96

  #### Returns void

### unsubscribeMicroblocks

- unsubscribeMicroblocks(): void

- - Defined in src/socket-io/index.ts:88

  #### Returns void

### Static connect

- connect(__namedParameters?: StacksApiSocketConnectionOptions ): StacksApiSocketClient

- - Defined in src/socket-io/index.ts:40

  #### Parameters

  - ##### __namedParameters: StacksApiSocketConnectionOptions = {}

  #### Returns StacksApiSocketClient

Generated using TypeDoc